<div class="text-field" ng-click="onClick()" ng-form="form">
  <div class="text-field__input-elements">
    <p class="text-field__placeholder">{{::placeholder}}<span ng-show="required">*</span></p>
    <div class="text-field__input-with-icon">
      <img class="text-field__input-img-ok" ng-src="{{imgOkUrl}}" alt="ok" />
      <img class="text-field__input-img-error" ng-src="{{imgErrorUrl}}" alt="error" />
      <input class="text-field__input" ng-attr-type="{{::type}}" ng-attr-name="{{::fieldName}}" ng-model="data" autocomplete="off"
           ng-blur="onBlur()" ng-keyup="onChange()" ng-required="required" />
    </div>
  </div>
  <div class="text-field__error">
    <p class="email-error-msg">Неправильный почтовый адрес</p>
    <p class="required-error-msg">Обязательное для заполнения поле</p>
  </div>
</div>

